import { createRouter, createWebHistory } from 'vue-router'
import AccountUserManagement from '../views/accountUserManagement.vue'
import AccountAdminManagement from '../views/accountAdminManagement.vue'
import AccountGroupManagement from '../views/accountGroupManagement.vue'
import AccountRobotManagement from '../views/accountRobotManagement.vue'
import AccountOfficalManagement from '../views/accountOfficalManagement.vue'
import AccountBlackManagement from '../views/accountBlackManagement.vue'
import AccountServerManagement from '../views/accountServerManagement.vue'
import PaymentAppManagement from '../views/paymentAppManagement.vue'
import PaymentOrderManagement from '../views/paymentOrderManagement.vue'
import PaymentDetailManagement from '../views/paymentDetailManagement.vue'
import OfficialArticleManagement from '../views/officialArticleManagement.vue'
import EditArticle from '../views/editArticle.vue'
import AccessAppManagement from '../views/accessApplicationManagement.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {path: '/', redirect: '/account-admin-management' },
    {path: '/account-user-management', component: AccountUserManagement},
    {path: '/account-admin-management', component: AccountAdminManagement},
    {path: '/account-group-management', component: AccountGroupManagement},
    {path: '/account-robot-management', component: AccountRobotManagement},
    {path: '/account-offical-management', component: AccountOfficalManagement},
    {path: '/account-server-management', component: AccountServerManagement},
    {path: '/account-black-management', component: AccountBlackManagement},
    {path: '/payment-app-management', component: PaymentAppManagement},
    {path: '/payment-order-management', component: PaymentOrderManagement},
    {path: '/payment-detail-management', component: PaymentDetailManagement},
    {path: '/article-management', name: 'officialArticleManagement', component: OfficialArticleManagement},
    {path: '/editArticle', name: 'editArticle', component: EditArticle},
    {path: '/access-app-management', name: 'accessAppManagement', component: AccessAppManagement},   
  ],
})
export default router
